-module(relationt).
-export([caller/1,double/1]).
-export([inc/1]).
-export([square/1]).

caller(X) ->
  begin
   inc(double(X)),
   square(inc(X))
  end.

double(D) -> 
   D * 2.

inc(X) -> X + 1.

square(X) -> X * X.
